<?php

class SisNotasSQL
{
    //criar uma regra de recorrencia
    public function criarRecorrencia($ContasaPagar)
    {
    
    require_once 'conexao.php';
    
    //$ContasaPagar->observacao;
    //inseri os valores caso nao encontre o usuario na tabela
	$query = "INSERT INTO RECORRENCIA_CAIXA (HISTORICO,SUB_CATEGORIA,OBSERVACAO,CATEGORIA_NOME)
    VALUES ('$ContasaPagar->historico', '$ContasaPagar->subCategoriaCod','$ContasaPagar->observacao','$ContasaPagar->categoria');" ;
	$result = mysqli_query($conexao, $query);
   
    return $result;
    }

//listar as regras de recorrencia
public function BuscarRecorrencia()
{
    
require_once 'conexao.php';

$query = "SELECT * FROM RECORRENCIA_CAIXA";
$result = mysqli_query($conexao, $query);
return $result;

}

//excluir uma recorrencia no mysql
public function ExluirRecorrencia($id)
{
    require_once 'conexao.php';
   
    $query = "DELETE FROM RECORRENCIA_CAIXA WHERE ID = $id";
    $result = mysqli_query($conexao, $query);
    return $result;
    
}



//listar as regras de recorrencia
public function BuscarRecorrenciaId($idRecorrencia,$conexao)
{
    

$query = "SELECT * FROM RECORRENCIA_CAIXA WHERE ID = '$idRecorrencia'";
$result = mysqli_query($conexao, $query);
return $row = $result->fetch_array(MYSQLI_ASSOC);

}


public function FinalizarCofreRemotoSqlServer($numeroSangriaSoft,$conexao)

{
    $query = "INSERT INTO finalizar_cofre (numeroSQL) VALUES ($numeroSangriaSoft);" ;
    if(mysqli_query($conexao, $query))
    {
        return True;
    }    
}

}